Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.el
Class SimpleActionMethodBinding

    java.lang.Object
      javax.faces.el.MethodBinding
          org.apache.myfaces.shared_orchestra.el.SimpleActionMethodBinding

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class SimpleActionMethodBinding

extends javax.faces.el.MethodBinding
implements javax.faces.component.StateHolder

Convenient method binding that does nothing other than returning a fixed outcome String when invoked.

Author:
  Manfred Geiler

Constructor Summary
`SimpleActionMethodBinding()` Empty constructor, so that new instances can be created when restoring state.
`SimpleActionMethodBinding(java.lang.String outcome)`

Method Summary
`java.lang.Class` | `getType(javax.faces.context.FacesContext facescontext)`
`java.lang.Object` | `invoke(javax.faces.context.FacesContext facescontext, java.lang.Object[] aobj)`
`boolean` | `isTransient()`
`void` | `restoreState(javax.faces.context.FacesContext facescontext, java.lang.Object obj)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext facescontext)`
`void` | `setTransient(boolean flag)`
`java.lang.String` | `toString()`

Methods inherited from class javax.faces.el.MethodBinding
`getExpressionString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleActionMethodBinding

    public SimpleActionMethodBinding(java.lang.String outcome)

### SimpleActionMethodBinding

    public SimpleActionMethodBinding()

  Empty constructor, so that new instances can be created when restoring state.

Method Detail

### invoke

    public java.lang.Object invoke(javax.faces.context.FacesContext facescontext,
                                   java.lang.Object[] aobj)
                            throws javax.faces.el.EvaluationException,
                                   javax.faces.el.MethodNotFoundException

  Specified by:
    `invoke` in class `javax.faces.el.MethodBinding`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.MethodNotFoundException`

### getType

    public java.lang.Class getType(javax.faces.context.FacesContext facescontext)
                            throws javax.faces.el.MethodNotFoundException

  Specified by:
    `getType` in class `javax.faces.el.MethodBinding`
  Throws:
    `javax.faces.el.MethodNotFoundException`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext facescontext)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext facescontext,
                             java.lang.Object obj)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean flag)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.